VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "  3"
   ClientHeight    =   5955
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   9225
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5955
   ScaleWidth      =   9225
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame2 
      Caption         =   " "
      Height          =   1215
      Left            =   4200
      TabIndex        =   7
      Top             =   3840
      Width           =   4095
      Begin VB.OptionButton optWrite 
         Caption         =   ""
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   11
         Top             =   720
         Width           =   2895
      End
      Begin VB.OptionButton optWrite 
         Caption         =   ""
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   10
         Top             =   360
         Value           =   -1  'True
         Width           =   2895
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "  "
      Height          =   1215
      Left            =   240
      TabIndex        =   6
      Top             =   3840
      Width           =   3735
      Begin VB.OptionButton optReplacement 
         Caption         =   ""
         Height          =   255
         Index           =   1
         Left            =   360
         TabIndex        =   9
         Top             =   720
         Width           =   2175
      End
      Begin VB.OptionButton optReplacement 
         Caption         =   "LRU"
         Height          =   255
         Index           =   0
         Left            =   360
         TabIndex        =   8
         Top             =   360
         Value           =   -1  'True
         Width           =   2175
      End
   End
   Begin VB.CommandButton cmdStartTest 
      Caption         =   " "
      Height          =   495
      Left            =   2280
      TabIndex        =   5
      Top             =   5280
      Width           =   3015
   End
   Begin VB.TextBox txbCacheSize 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1049
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   2760
      TabIndex        =   4
      Text            =   "256"
      Top             =   3000
      Width           =   1935
   End
   Begin VB.TextBox txbOZUSIze 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1049
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   2760
      TabIndex        =   1
      Text            =   "2048"
      Top             =   2280
      Width           =   1935
   End
   Begin VB.Label Label3 
      Caption         =   "   (  )"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   3000
      Width           =   2535
   End
   Begin VB.Label Label2 
      Caption         =   "  (  )"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   2280
      Width           =   2535
   End
   Begin VB.Label Label1 
      Caption         =   "  3.         ."
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   480
      Width           =   7455
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const rLRU = 0, rRandom = 1
Const wSpandrel = 0, wInverse = 1
Dim Cache() As Integer, OZU() As Integer
Dim nOZUSize As Long, nCacheSize As Long
Dim ReplacementMode As Integer, WriteMode As Integer
Dim CacheHandbook() As Long

Private Sub cmdStartTest_Click()
Dim CacheSize As Variant, OZUSize As Variant
Dim strError As String
strError = ""

CacheSize = Val(txbCacheSize.Text)
OZUSize = Val(txbOZUSIze.Text)
Dim bCorrect As Boolean

bCorrect = True
If CacheSize = 0 Then
  MsgBox "     0.", vbExclamation, strError
  bCorrect = False
End If

If OZUSize = 0 Then
  MsgBox "      0.", vbExclamation, strError
  bCorrect = False
End If
 
If CacheSize >= OZUSize Then
    MsgBox "      !", vbExclamation, strError
    bCorrect = False
End If
    
If (bCorrect) Then
    nOZUSize = OZUSize
    nCacheSize = CacheSize
    If optReplacement(0).Value Then
        ReplacementMode = rLRU
    Else
        ReplacementMode = rRandom
    End If
    
    If optWrite(0).Value Then
        WriteMode = wSpandrel
    Else
        WriteMode = wInverse
    End If
        
    StartTest
End If

End Sub

Private Sub StartTest()
    Dim n As Long, m As Long
    Dim v1 As Long, v2 As Long, buf As Long
    
    ReDim Cache(nCacheSize)
    ReDim CacheHandbook(nCacheSize)
    ReDim OZU(nOZUSize)
        
    For n = 1 To nCacheSize
        CacheHandbook(n) = -1
    Next
        
    Data.nProgress = 0
    frmMain.Enabled = False
    frmProgress.Show
    
    Rem     
    
    For n = 1 To nOZUSize
        For m = n To nOZUSize
            v1 = ReadOZU(n)
            v2 = ReadOZU(m)
            If v1 > v2 Then
                buf = v2
                WriteOZU m, v1
                WriteOZU n, buf
            End If
        Next m
        nProgress = (CCur(n) / CCur(nOZUSize)) * 100
        DoEvents
    Next n
    Unload frmProgress
    
    
    frmMain.Enabled = True
    frmMain.Show
End Sub

Private Sub WriteOZU(ByVal nAddress As Long, ByVal nValue As Long)
    
End Sub

Private Function ReadOZU(ByVal nAddress As Long) As Integer

End Function

